summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2009-06-04 19:46:16 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2009-06-04 19:46:16 +0200
commitdfc1b1e7d8d180ce72b70ef0b629ee45fd4e2674 (patch)
treeb3b67593a04ed06a6d49cd6178eafdf4bac403c5 /scripts
parent880a694987b2500a302722530615ec5e70a1d507 (diff)
parent322327d668e6cef8bb5f318bc414593794530b7b (diff)
Merge branch 'master' of ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 9f9676f85..9ac3c2d4a 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -26,6 +26,10 @@ if [[ -n $ADK_PACKAGE_ALSA_UTILS ]]; then
NEED_XMLTO="$NEED_XMLTO alsa-utils"
fi
+if [[ -n $ADK_PACKAGE_XKEYBOARD_CONFIG ]]; then
+ NEED_XKBCOMP="$NEED_XKBCOMP xkeyboard-config"
+fi
+
if [[ -n $ADK_COMPILE_AVAHI ]]; then
NEED_PKGCONFIG="$NEED_PKGCONFIG avahi"
fi
@@ -58,6 +62,13 @@ if [[ -n $NEED_RUBY ]]; then
fi
fi
+if [[ -n $NEED_XKBCOMP ]]; then
+ if ! which xkbcomp >/dev/null 2>&1; then
+ echo >&2 You need xkbcomp to build $NEED_XKBCOMP
+ out=1
+ fi
+fi
+
if [[ -n $NEED_XMLTO ]]; then
if ! which xmlto >/dev/null 2>&1; then
echo >&2 You need xmlto to build $NEED_XMLTO